Read exit value from Shell script


 
Thread Tools Search this Thread
Top Forums Shell Programming and Scripting Read exit value from Shell script
# 1  
Old 07-15-2017
Read exit value from Shell script

Hi all,

I have a situation to read exit value of a command (not exit code) and process further.

Code:
bash-4.2$ returnvalue=`ssh DOMAIN\\\\user1@10.7.7.68 'cmd /c "del C:\Users\user1\db_test.bak"'`
Could Not Find C:\Users\user1\db_test.bak
bash-4.2$ echo $?
0
bash-4.2$ echo $returnvalue
bash-4.2$

I intentionally made "db_test.bak" not available because i want the return value to be captured.

The expectation is the return value "Could Not Find C:\Users\user1\db_test.bak"to be assigned in a variable.

Appreciate your help

Thanks
Bala

Last edited by RudiC; 07-15-2017 at 04:38 AM.. Reason: changed ICODE to CODE tags.
# 2  
Old 07-15-2017
Hello baluchen,

Could you please try following and let me know if this helps you.
Code:
ssh user_name@host "commands" 2>error_output

Now above will capture the errors if any will come from commands, if you want to see them then you could run following command.
Code:
cat error_output  >&2

Let me know how it goes it then.

Thanks,
R. Singh

Last edited by RavinderSingh13; 07-15-2017 at 02:40 AM..
This User Gave Thanks to RavinderSingh13 For This Post:
# 3  
Old 07-15-2017
Try
Code:
returnvalue=`ssh DOMAIN\\\\user1@10.7.7.68 'cmd /c "del C:\Users\user1\db_test.bak"' 2>&1`

although I'm not too sure how MS handles error msgs to stderr nor how it assigns exit codes.

Last edited by RudiC; 07-15-2017 at 04:48 AM..
# 4  
Old 07-15-2017
Quote:
Originally Posted by RavinderSingh13
Hello baluchen,

Could you please try following and let me know if this helps you.
Code:
ssh user_name@host "commands" 2>error_output

Now above will capture the errors if any will come from commands, if you want to see them then you could run following command.
Code:
cat error_output  >&2

Let me know how it goes it then.

Thanks,
R. Singh
Thank you Singh. It worked as expected.

Thank you
Bala
Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. UNIX for Beginners Questions & Answers

How to continue shell script after exit 0?

Hi, I am writing a shell script where I am sourcing other shell script in that script I have mention exit 0 due to that it is not continue the first script. Except doing any changes to source script is there any way I can continue the my first script. (3 Replies)
Discussion started by: sonujatav
3 Replies

2. Shell Programming and Scripting

Exit the shell script

Hi, suppose my script is sample.sh i have to run using '. ./sample.sh' as . ./script file always executes the script in my parent shell. when my sample.sh contains exit command .. my environment is getting closed as am executing in the parent shell ... please suggest me how can i use... (5 Replies)
Discussion started by: pracheth
5 Replies

3. Shell Programming and Scripting

How to capture the exit code of a shell script in a perl script.?

hi, i want to pop up an alert box using perl script. my requirement is. i am using a html page which calls a perl script. this perl script calls a shell script.. after the shell script ends its execution, i am using exit 0 to terminate the shell script successfully and exit 1 to terminate the... (3 Replies)
Discussion started by: Little
3 Replies

4. Shell Programming and Scripting

Exit a shell script

Hi Guys, How can I exit from the shell script if a condition is not met? Thanks in advance... (2 Replies)
Discussion started by: Phuti
2 Replies

5. Shell Programming and Scripting

exit shell from a script

hi guys I have a script that I need to terminate or exit the shell or session completely for the user but the exit only exit from the script and takes the user to the shell I found this https://www.unix.com/unix-dummies-questions-answers/399-using-exit-command-shell-script.html saying that... (1 Reply)
Discussion started by: kopper
1 Replies

6. Shell Programming and Scripting

How to grep sql error in shell script and exit the script?

I need help in the following script. I want to grep the sql errors insert into the error table and exit the shell script if there is any error, otherwise keep running the scripts. Here is my script #!/bin/csh -f source .orapass set user = $USER set pass = $PASS cd /opt/data/scripts echo... (2 Replies)
Discussion started by: allinshell99
2 Replies

7. Shell Programming and Scripting

how to exit out of the calling Shell Script

Hi All, I tried looking for this, but was not able to get a clear answer. Hence posting here. Please find the details below. Thanks for the help I have 2 shell scripts, script1.sh and script2.sh. I call script2.sh from within script1.sh ( by simple ./script2.sh command). Based on some... (7 Replies)
Discussion started by: harimac
7 Replies

8. Shell Programming and Scripting

unable to exit from a shell script

Hi All, I am unable to exit from a shell script using the below code: #!/bin/ksh passchk() ( if ;then echo "Password validated" else echo "Wrong password Quiting the application..." exit 0#not working fi ) passchk (Note:"finalresult" passed to the passchk... (2 Replies)
Discussion started by: Sreejith_VK
2 Replies

9. Shell Programming and Scripting

exit a shell script!!

could somebody tell me please how to exit a shell script: if then echo "No arguments detected" exit 1 fi ... echo "still there" # is displayed .. :-( (4 Replies)
Discussion started by: sami98
4 Replies

10. Shell Programming and Scripting

exit shell script from function

Hi all, I have tried to put a exit 0 statement within a function I have created in the shell script but it doesn't seem to exit out of the script? Can someone tell me why? And is there any other way to exit out of the script from within a function? Thanks! (1 Reply)
Discussion started by: nvrh7
1 Replies
Login or Register to Ask a Question